This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 85839 - Have text-mode version of all configuration utilities
Have text-mode version of all configuration utilities
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-08 21:01 EST by Brian "netdragon" Bober
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 16:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian "netdragon" Bober 2003-03-08 21:01:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
Not all the configuration utilities allow text-mode modification. This isn't
helpful on a server you didn't install X on and means in some cases that you
have to do things the long way through various obfuscated command-line options,
etc. For instance, redhat-config-packages.

The way to do this would be to define the GUI in some form of XML (like Mozilla
does) and to allow both GUI and text applications to parse this and feed them
into the toolkits. That would allow you to have one listing of the GUI, and
allow the GUI and text-mode apps to display equivalent data in different ways.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Bill Nottingham 2003-03-10 16:38:11 EST
Adding text mode equivalents at this point will probably be done on a
tool-by-tool basis, not as a complete redesign of the GUI framework. So, please
report individual bugs against the tools you'd like to see text mode variants of.

Note You need to log in before you can comment on or make changes to this bug.